Debian Bug report logs - #249708
O: lesstif1-1 -- Development library and header files for LessTif 2.1.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 18 May 2004 23:03:08 UTC

Severity: normal

Fixed in version lesstif1-1/1:0.93.94-5

Done: Sam Hocevar (Debian packages) <sam+deb@zoy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#249708; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Herbert Xu <herbert@debian.org>
Subject: O: lesstif1-1 -- Development library and header files for LessTif 2.1.
Date: Tue, 18 May 2004 23:54:22 +0100
Package: wnpp
Severity: normal

The current maintainer of lesstif1-1, Herbert Xu <herbert@debian.org>,
has orphaned this package.  If you want to be the new maintainer,
please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: lesstif1-1
Binary: lesstif-dev, lesstif2, lesstif-doc, lesstif-bin, lesstif1, lesstif2-dev
Version: 1:0.93.94-3
Priority: optional
Section: libs
Maintainer: Herbert Xu <herbert@debian.org>
Build-Depends: autoconf, automake1.6, bison, debhelper (>= 2), flex, libice-dev | xlibs-dev, libsm-dev | xlibs-dev, libtool (>= 1.4.2), libx11-dev | xlibs-dev, libxext-dev | xlibs-dev, libxp-dev | xlibs-dev, libxt-dev | xlibs-dev
Architecture: any
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/main/l/lesstif1-1
Files: 9f13c1c5f6a0196c8b0d962fc1757b43 974 lesstif1-1_0.93.94-3.dsc
 9eb87b5470333ccb31425a47d24f5a96 4862623 lesstif1-1_0.93.94.orig.tar.gz
 3c5fb6d29c15802eb01693f5a1a7029a 19486 lesstif1-1_0.93.94-3.diff.gz

Package: lesstif-bin
Priority: optional
Section: x11
Installed-Size: 436
Maintainer: Herbert Xu <herbert@debian.org>
Architecture: i386
Source: lesstif1-1
Version: 1:0.93.94-3
Provides: x-window-manager
Depends: lesstif2, libc6 (>= 2.3.2.ds1-4), libice6 | xlibs (>> 4.1.0), libsm6 | xlibs (>> 4.1.0), libx11-6 | xlibs (>> 4.1.0), libxext6 | xlibs (>> 4.1.0), libxp6 | xlibs (>> 4.1.0), libxt6 | xlibs (>> 4.1.0)
Filename: pool/main/l/lesstif1-1/lesstif-bin_0.93.94-3_i386.deb
Size: 163756
MD5sum: 2541651e738ab734ff74f00abe624a4e
Description: User binaries for LessTif.
 Contains user binaries for LessTif, the Hungry Programmers' version of
 OSF/Motif, including a clone of mwm, the Motif Window Manager.

Package: lesstif-dev
Priority: optional
Section: devel
Installed-Size: 2764
Maintainer: Herbert Xu <herbert@debian.org>
Architecture: i386
Source: lesstif1-1
Version: 1:0.93.94-3
Replaces: lesstifg-dbg (<< 1:0.88.1-1), lesstifg-dev, lesstif2-dev, libmotif-dev
Depends: lesstif1, libice-dev | xlibs-dev, libsm-dev | xlibs-dev, libx11-dev | xlibs-dev, libxext-dev | xlibs-dev, libxp-dev | xlibs-dev, libxt-dev | xlibs-dev
Conflicts: lesstifg-dev, lesstif2-dev, libmotif-dev
Filename: pool/main/l/lesstif1-1/lesstif-dev_0.93.94-3_i386.deb
Size: 828220
MD5sum: 123985756e7a5628b175c3862d8b35a5
Description: Development library and header files for LessTif 1.2.
 Contains C header files and development shared libraries libraries for
 LessTif. LessTif, made by the Hungry Programmers, is a free (LGPL-ed)
 version of OSF/Motif; it aims ultimately at binary compatibility with Motif
 1.2.
 .
 Contains static libraries and header files for libXm and libMrm.

Package: lesstif-doc
Priority: optional
Section: doc
Installed-Size: 1352
Maintainer: Herbert Xu <herbert@debian.org>
Architecture: all
Source: lesstif1-1
Version: 1:0.93.94-3
Replaces: lesstifg (<< 1:0.89.0-1)
Filename: pool/main/l/lesstif1-1/lesstif-doc_0.93.94-3_all.deb
Size: 341696
MD5sum: 1ccff8c2a625903e1569ed43a0a9563e
Description: Documentation for LessTif.
 Contains documentation for LessTif, the Hungry Programmers' version of
 OSF/Motif, including a clone of mwm, the Motif Window Manager.

Package: lesstif1
Priority: optional
Section: libs
Installed-Size: 1468
Maintainer: Herbert Xu <herbert@debian.org>
Architecture: i386
Source: lesstif1-1
Version: 1:0.93.94-3
Replaces: lesstifg
Depends: libc6 (>= 2.3.2.ds1-4), libice6 | xlibs (>> 4.1.0), libsm6 | xlibs (>> 4.1.0), libx11-6 | xlibs (>> 4.1.0), libxt6 | xlibs (>> 4.1.0)
Conflicts: lesstif, lesstifg
Filename: pool/main/l/lesstif1-1/lesstif1_0.93.94-3_i386.deb
Size: 614602
MD5sum: 6de689bb8bceb3b500c2aee9e11de467
Description: OSF/Motif 1.2 implementation released under LGPL.
 Contains runtime shared libraries for LessTif, the Hungry Programmers'
 version of OSF/Motif 1.2.
 .
 Contains runtime shared libraries for libXm and libMrm.

Package: lesstif2
Priority: optional
Section: libs
Installed-Size: 1664
Maintainer: Herbert Xu <herbert@debian.org>
Architecture: i386
Source: lesstif1-1
Version: 1:0.93.94-3
Replaces: libmotif
Depends: libc6 (>= 2.3.2.ds1-4), libice6 | xlibs (>> 4.1.0), libsm6 | xlibs (>> 4.1.0), libx11-6 | xlibs (>> 4.1.0), libxext6 | xlibs (>> 4.1.0), libxp6 | xlibs (>> 4.1.0), libxt6 | xlibs (>> 4.1.0)
Conflicts: libmotif
Filename: pool/main/l/lesstif1-1/lesstif2_0.93.94-3_i386.deb
Size: 689172
MD5sum: 034cdfdf40b7cf6d088812cde6b402ad
Description: OSF/Motif 2.1 implementation released under LGPL.
 Contains runtime shared libraries for LessTif, the Hungry Programmers'
 version of OSF/Motif 2.1.
 .
 Contains runtime shared libraries for libXm and libMrm.

Package: lesstif2-dev
Priority: optional
Section: devel
Installed-Size: 3320
Maintainer: Herbert Xu <herbert@debian.org>
Architecture: i386
Source: lesstif1-1
Version: 1:0.93.94-3
Replaces: lesstifg-dbg (<< 1:0.88.1-1), lesstifg-dev, lesstif-dev, libmotif-dev
Depends: lesstif2, libice-dev | xlibs-dev, libsm-dev | xlibs-dev, libx11-dev | xlibs-dev, libxext-dev | xlibs-dev, libxp-dev | xlibs-dev, libxt-dev | xlibs-dev
Conflicts: lesstifg-dev, lesstif-dev, libmotif-dev
Filename: pool/main/l/lesstif1-1/lesstif2-dev_0.93.94-3_i386.deb
Size: 956148
MD5sum: e9802a86b10010221b4af388ec79b8cf
Description: Development library and header files for LessTif 2.1.
 Contains C header files and development shared libraries libraries for
 LessTif. LessTif, made by the Hungry Programmers, is a free (LGPL-ed)
 version of OSF/Motif; it aims ultimately at binary compatibility with Motif
 2.1.
 .
 Contains static libraries and header files for libXm and libMrm.

-- 
Martin Michlmayr
tbm@cyrius.com



Reply sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 249708-close@bugs.debian.org (full text, mbox):

From: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
To: 249708-close@bugs.debian.org
Subject: Bug#249708: fixed in lesstif1-1 1:0.93.94-5
Date: Wed, 04 Aug 2004 18:32:05 -0400
Source: lesstif1-1
Source-Version: 1:0.93.94-5

We believe that the bug you reported is fixed in the latest version of
lesstif1-1, which is due to be installed in the Debian FTP archive:

lesstif-bin_0.93.94-5_i386.deb
  to pool/main/l/lesstif1-1/lesstif-bin_0.93.94-5_i386.deb
lesstif-dev_0.93.94-5_i386.deb
  to pool/main/l/lesstif1-1/lesstif-dev_0.93.94-5_i386.deb
lesstif-doc_0.93.94-5_all.deb
  to pool/main/l/lesstif1-1/lesstif-doc_0.93.94-5_all.deb
lesstif1-1_0.93.94-5.diff.gz
  to pool/main/l/lesstif1-1/lesstif1-1_0.93.94-5.diff.gz
lesstif1-1_0.93.94-5.dsc
  to pool/main/l/lesstif1-1/lesstif1-1_0.93.94-5.dsc
lesstif1_0.93.94-5_i386.deb
  to pool/main/l/lesstif1-1/lesstif1_0.93.94-5_i386.deb
lesstif2-dev_0.93.94-5_i386.deb
  to pool/main/l/lesstif1-1/lesstif2-dev_0.93.94-5_i386.deb
lesstif2_0.93.94-5_i386.deb
  to pool/main/l/lesstif1-1/lesstif2_0.93.94-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 249708@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Hocevar (Debian packages) <sam+deb@zoy.org> (supplier of updated lesstif1-1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  4 Aug 2004 22:55:59 +0200
Source: lesstif1-1
Binary: lesstif-bin lesstif2 lesstif-dev lesstif2-dev lesstif-doc lesstif1
Architecture: source i386 all
Version: 1:0.93.94-5
Distribution: unstable
Urgency: low
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Changed-By: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Description: 
 lesstif-bin - user binaries for LessTif
 lesstif-dev - development library and header files for LessTif 1.2
 lesstif-doc - documentation for LessTif
 lesstif1   - OSF/Motif 1.2 implementation released under LGPL
 lesstif2   - OSF/Motif 2.1 implementation released under LGPL
 lesstif2-dev - development library and header files for LessTif 2.1
Closes: 249708 258365
Changes: 
 lesstif1-1 (1:0.93.94-5) unstable; urgency=low
 .
   * New maintainer (Closes: #249708).
   * debian/rules:
     + Use debian/compat instead of DH_COMPAT.
     + Re-enabled Xrender now that it is a shared library.
     + No longer use dh_undocumented.
   * debian/control:
     + Set policy to 3.6.1.1.
     + Set section of -dev packages to libdevel.
     + Uncapitalised short descriptions and removed trailing periods.
     + Removed xlibs-dev from depends and build-depends.
   * lib/Xm*/CascadeB*.c:
     + Fixed wrong int/long size assumption thanks to Nick Materer
       (Closes: #258365).
   * include/Motif-*/XmI/*XpmI.h:
     + Do not cast pointers to unsigned int but to uintptr_t.
Files: 
 f39a1482a91163052e435abbf80f8762 798 libs optional lesstif1-1_0.93.94-5.dsc
 945bae1e5c0f380ad904d165b3a11bca 20682 libs optional lesstif1-1_0.93.94-5.diff.gz
 8ba528a47e6ed94ac8508ce2fe8d5a69 342200 doc optional lesstif-doc_0.93.94-5_all.deb
 7616d520ab048ff91f35f3930694ac1b 689616 libs optional lesstif2_0.93.94-5_i386.deb
 fbdccd6d45b7c3048bad59382757eef6 615146 libs optional lesstif1_0.93.94-5_i386.deb
 988de023062bb40f32327b6341780adf 956744 libdevel optional lesstif2-dev_0.93.94-5_i386.deb
 bd9ce47356de8a9d546d4fff150302a9 828832 libdevel optional lesstif-dev_0.93.94-5_i386.deb
 5f46ece285d6a7b49ab4c28d74aad1f7 163708 x11 optional lesstif-bin_0.93.94-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBEV0IfPP1rylJn2ERAj2eAKCQ+FKNVt1ptVU8Y8Pn1zvHTKAsAgCgn5Ck
KiTK+cN94M3pkO0FqPXsAgM=
=UUeF
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:08:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.